/* VERSAO COM ARQUIVOS DE TEXTO */

#include<stdio.h>

typedef struct
{
   int cod;
   char nome[15];
   float nd,nc,med;
} TCasal;

int main(void)
{
   TCasal c;
   FILE *f1, *f2;

   f1 = fopen("concurso-txt.cad","r");
   if (f1 == NULL)
   {
      printf("Erro na abertura do arquivo\n");
      return 1;
   }

   f2 = fopen("concurso-txt.not","w");
   if (f2 == NULL)
   {
      printf("Erro na criacao do arquivo\n");
      return 2;
   }

   while(feof(f1) == 0)
   {
      // Leitura no arquivo dos casais
      if (fscanf(f1,"%d", &c.cod) != EOF)
      {
         // Leitura do espaco de separacao do codigo e do nome
         fgetc(f1);

         fgets(c.nome,15,f1);

         // Pedido das notas
         printf("Casal %d: Nota da damas e do cavalaheiro? ", c.cod);
         scanf("%f", &c.nd);
         scanf("%f", &c.nc);
         c.med = (c.nd+c.nc)/2;
         printf("Casal %d: Media=%.2f\n", c.cod, c.med);

         // Gravacao no arquivo de notas
         fprintf(f2,"%d ", c.cod);
         fputs(c.nome, f2);
         fprintf(f2," %.2f %.2f %.2f\n", c.nd, c.nc, c.med);
      }
   }

   fclose(f1);
   fclose(f2);

   return 0;
}
