/* VERSAO COM ARQUIVOS BINARIOS */

#include<stdio.h>
#include<string.h>

/* Estrutura do 1o arquivo */
typedef struct CasalId
{
   int cod;
   char nome[15];
} TCasalId;

/* Estrutura do 2o arquivo */
typedef struct
{
   int cod;
   char nome[15];
   float nd,nc,med;
} TCasal;


int main(void)
{
   TCasal c;
   TCasalId cid;

   FILE *f1, *f2;
   int n;

   /* Abertura dos arquivos */
   f1 = fopen("concurso-bin.cad","rb");
   if (f1 == NULL)
   {
      printf("Erro na abertura do arquivo\n");
      return 1;
   }

   f2 = fopen("concurso-bin.not","wb");
   if (f2 == NULL)
   {
      printf("Erro na criacao do arquivo\n");
      return 2;
   }

   /* Percurso do 1o arquivo */
   while(feof(f1) == 0)
   {
      n = fread(&cid, sizeof(TCasalId), 1, f1);
      if (n > 0)
      {
         /* Copia dos dados na estrutura do 2o arquivo */
         c.cod = cid.cod;
         strcpy(c.nome, cid.nome);

         /* Pedido das notas */
         printf("Casal %d: Nota da damas e do cavalaheiro? ", c.cod);
         scanf("%f", &c.nd);
         scanf("%f", &c.nc);
         c.med = (c.nd+c.nc)/2;
         printf("%s: Casal %d: Media=%.2f\n", c.nome, c.cod, c.med);

         /* Gravacao no arquivo de notas */
         fwrite(&c, sizeof(TCasal), 1, f2);
      }
   }

   fclose(f1);
   fclose(f2);

   return 0;
}
